# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gstring/version'

Gem::Specification.new do |spec|
  spec.name          = "gstring"
  spec.version       = Gstring::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]
  spec.description   = %q{
Adds 80+ new methods to the base String class. Most help with parsing, others are more of a hodgepodge of nifty utilities.
Utilities include: engineering_notation, cryptogram generator, password generator, sort by embedded numbers, etc. 
Some represent some of the better ideas from other string related gems.
Most are from 20 years of multiple language string extensions that were used in some project.}
  spec.summary       = %q{Adds 70+ new methods String class.}
  spec.homepage      = "http://bdlsys.com/gems/gstring.html"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  spec.required_ruby_version = '>= 1.9.1'
  
  spec.add_runtime_dependency 'setfu', '>= 2.0.0'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake", ">= 10.1.0"
  spec.add_development_dependency 'rspec', ">= 3.3.0"
  spec.add_development_dependency 'byebug', ">= 5.0.0"
end
